---
schema_version: "1"
id: 1e181dca61b312fd2513eb797ebdf3a71961c935740e291647ed04ab86187160
title: Get a List of Updated Records Within a Given Timeframe
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/dome-get-updated.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/dome-get-updated.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8bd3ed558707ea9e472c14f00dc4af6646e6afc2074f0cb87f1587200744b581
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get a List of Updated Records Within a Given Timeframe

Use the sObject Get Updated resource to get a list of updated (modified or added) records for the specified object. Specify the date and time range within which the records for the given object were updated.

## Example usage for getting a list of Merchandise__c records that were updated between May 6th, 2013 and May 10th, 2013

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Merchandise__c/updated/​​​?start=2013-05-06T00%3A00%3A00%2B00%3A00&end=2013-05-10T00%3A00%3A00%2B00%3A00 -H "Authorization: Bearer token"
```

## Example request body

None required

## JSON example response body

```nolang
{ 
    "ids" : 
    [ 
        "a00D0000008pQR5IAM", 
        "a00D0000008pQRGIA2", 
        "a00D0000008pQRFIA2"
    ],
    "latestDateCovered" : "2013-05-08T21:20:00.000+0000" 
}
```

## XML example response body

```nolang
<?xml version="1.0" encoding="UTF-8"?> 
<Merchandise__c> 
    <ids>a00D0000008pQR5IAM</ids>
    <ids>a00D0000008pQRGIA2</ids>
    <ids>a00D0000008pQRFIA2</ids>
    <latestDateCovered>2013-05-08T21:20:00.000Z</latestDateCovered>
</Merchandise__c>
```

